Clazz.declarePackage ("JSV.js2d");
Clazz.load (["JSV.api.JSVFileHelper"], "JSV.js2d.JsFileHelper", null, function () {
c$ = Clazz.decorateAsClass (function () {
this.viewer = null;
Clazz.instantialize (this, arguments);
}, JSV.js2d, "JsFileHelper", null, JSV.api.JSVFileHelper);
Clazz.makeConstructor (c$, 
function () {
});
Clazz.overrideMethod (c$, "set", 
function (viewer) {
this.viewer = viewer;
return this;
}, "JSV.common.JSViewer");
Clazz.overrideMethod (c$, "getFile", 
function (fileName, panelOrFrame, b) {
return null;
}, "~S,~O,~B");
Clazz.overrideMethod (c$, "setDirLastExported", 
function (name) {
return null;
}, "~S");
Clazz.overrideMethod (c$, "setFileChooser", 
function (pdf) {
}, "JSV.common.ExportType");
});
